Name: libXft
Version: 2.1.12
Release: alt1.M40.1

Summary: X FreeType Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %name-%version.tar.bz2

Patch0: libXft-2.1.12-p_xft_cjk.patch
Patch1: libXft-2.1.12-p_xft_register.patch
Patch2: libXft-2.1.7-lcd-filter-2.patch

BuildRequires: fontconfig-devel libfreetype-devel libX11-devel libXau-devel libXdmcp-devel
BuildRequires: libXrender-devel pkg-config xorg-x11-proto-devel zlib-devel xorg-x11-util-macros

%description
X FreeType Library

%package devel
Summary: X FreeType Library and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release fontconfig-devel libfreetype-devel libX11-devel libXau-devel
Requires: libXdmcp-devel libXrender-devel zlib-devel
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static

%prep
%setup -q

%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_includedir/X11/Xft
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man1dir/*
%_man3dir/*

%changelog
* Thu Nov 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.1.12-alt1.M40.1
- build for branch 4.0

* Wed Oct 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.1.12-alt2
- merged SuSE patches

* Fri Dec 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.12-alt1
- 2.1.12:
  + XftNameUnparse: re-export to public API

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.11-alt1
- 2.1.11

* Sun Sep 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.10-alt1
- 2.1.10

* Mon Jul 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt3
- removed subpixel rendering patch

* Thu Jul 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt2
- added libXft-2.1.9-git-coverity.patch

* Sat Jun 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Thu May 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8.2-alt5
- added subpixel rendering patch

* Wed Apr 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8.2-alt4
- rebuild

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8.2-alt3
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8.2-alt2
- fixed requires for %name-devel

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8.2-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8.1-alt1
- Xorg-7.0RC3

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8-alt0.1
- initial build

